/*
 *  GL_routines.h
 *  Pirates2011
 *
 *  Created by Alan Dorin on 25/03/11.
 *  Copyright 2011 __MyCompanyName__. All rights reserved.
 *
 */


#ifndef GL_ROUTINES
#define GL_ROUTINES

#include <GLUT/glut.h>
#include "SimpleVector.h"

// -- GL routines
void initGL(long windowID);
void display(void);
void reshape (int w, int h);
void animate(void);
void keyboard(unsigned char key, int x, int y);
void mouse(int button, int state, int x, int y);
void mouseMove(int x, int y);
void mousePassiveMove(int x, int y);
void visible(int vis);
void null_select(int mode);
void menu_select(int mode);
void glutMenu(void);
void myLight(void);

void writeTextString(const SimpleVector& rasterPosition, char* nameString);

#endif
